#include "info.h"
#include "declare.h"

#if HAVE_LIBC_H
#include <libc.h>
#endif
#if HAVE_STDLIB_H
#include <stdlib.h>
#endif
#if HAVE_STDIO_H
#include <stdio.h>
#endif
#if HAVE_STRING_H
#include <string.h>
#endif
#if HAVE_STRINGS_H
#include <strings.h>
#endif
#if HAVE_SYS_STAT_H
#include <sys/stat.h>
#endif
#if HAVE_SYS_TIME_H
#include <sys/time.h>
#endif
#if HAVE_TIME_H
#include <time.h>
#endif
#if HAVE_UNISTD_H
#include <unistd.h>
#endif
#if HAVE_CTYPE_H
#include <ctype.h>
#endif
#if HAVE_SYS_DIRENT_H && !HAVE_DIRENT_H
#include <sys/dirent.h>
#endif
#if HAVE_DIRENT_H
#include <dirent.h>
#endif

#define LOGFILE "/var/log/maillog"
#define MAXLEN 8192

FILE *fin, *fou, *ftmp;

long long int msend;
long long int mrecv;
long long int tmsgs;
long long int tsend;
long long int trecv;
long long int bsize;
long long int bsend;
long long int brecv;
long long int tbrec;
long long int tbsnd;

char title[1024];

char configfile[1024];
char tempdir[1024];
char outdir[1024];
char outdir_date[1024];
char report[1024];
char cwfile[1024];
char emaildomain[1024];
char usesendmailcw[5];
char color[256];

char logfile[1024];
char logtemp[1024];
char logrept[1024];
char logsort[1024];
char logtemp2[1024];
char buf[MAXLEN];
char wbuf[MAXLEN];
char zbuf[MAXLEN];
char wdir[MAXLEN];
char csort[120];
char month[4];
char day[3];
char logtime[15];
char date[6];
char server[256];
char recid[15];
char orecid[15];
char user[1024];
char huser[1024];
char ouser[1024];
char fuser[1024];
char tuser[1024];
char warea[1024];
char type[4];
char otype[4];
char *names;
char fromto[6];
char size[20];
char *str;
char period[50];
char cmsend[20];
char cmrecv[20];
char cbsend[20];
char cbrecv[20];

char titlefontface[50];
char headerfontface[50];
char textfontface[50];
char logofontface[50];
char headertextcolor[50];
char relaycolor[50];
char headerbgcolor[50];
char logofontsize[50];
char titlefontsize[50];
char headerfontsize[50];
char textfontsize[50];
char backgroundcolor[50];
char textcolor[50];
char textbgcolor[50];
char titlecolor[50];
char logoimage[120];
char logotext[120];
char logotextcolor[50];
char headercolor[50];
char txbgcolor[50];
char backgroundimage[50];
char topusersortfield[50];
char topusersortorder[20];
char excludeusers[120];
char lastlog[10];
char overwritereport[10];
char replaceindex[50];
char fontsize[10];
char width[10];
char height[10];
char status[10];
char dateformat[10];

char tot1[20];
char tot2[20];
char tot3[20];
char tot4[20];
char tot5[20];
char tot6[20];
char tot7[20];
char tot8[20];

int  flag;
int  nreg;
int  num;
int  num2;
int  num3;
int  mrflag;
int  msflag;
int  debugflag;
int  debugflag2;
int  openflag;
int  ch;
int  cwind;

long long int total1;
long long int total2;
long long int total3;
long long int total4;
long long int total5;
long long int total6;
long long int total7;
long long int total8;

char usecomma[4];
char year[8];
char ftime[128];

time_t tt;
struct tm *t;
struct stat statb;

DIR *dirp;
struct dirent *direntp;
